Non regression tests for RNAspace


Before launching tests, check local test data:
   python check_data.py
and follow instructions if data are not complete


To launch all tests, type:
   python test_rnaspace.py

It is also possible to launch each suite test separately. 
Beware that running time is very different for each suite (above times are running times on a Intel(R) Xeon(R) CPU 2GHz. 
At the end of the above command add ' -v' to have a verbose output.

* test_predictors suite (test separately each predictor)
   python test_predictors.py -v --> about 1 h running time 

* test_ecoli suite (test 2 E. coli sequence with a subset of predictors including a comparative analysis)
   python test_ecoli.py -v      --> about 2 h running time 

* test_athaliana_suite (test A. thaliana ch V with a subset of predictors excluding now comparative analysis)
   python test_athaliana.py -v       --> about 4 h running time 
